FeedbackStatus
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types.feedback
Enum FeedbackStatus

    java.lang.Object
      java.lang.Enum<FeedbackStatus>
          org.gcube.vremanagement.resourcebroker.utils.serialization.types.feedback.FeedbackStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FeedbackStatus>

    public enum FeedbackStatus

extends java.lang.Enum<FeedbackStatus>

The feedback status represents the score that each node in a deployment phase has reached. Associated to the name itself here we find a weight that represents the percentage of success of that status.

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`FAILED`
`PARTIAL`
`SUCCESS`

Method Summary
`float` | `getWeight()`
`static FeedbackStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FeedbackStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final FeedbackStatus SUCCESS

### PARTIAL

    public static final FeedbackStatus PARTIAL

### FAILED

    public static final FeedbackStatus FAILED

Method Detail

### values

    public static FeedbackStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FeedbackStatus c : FeedbackStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FeedbackStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getWeight

    public float getWeight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD